// CHECKSTYLE:OFF

package org.jenkinsci.plugins.xunit.threshold;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;

@SuppressWarnings({
    "",
    "PMD"
})
public class Messages {

    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * If the total number of skipped tests exceeds this threshold then a build is considered as unstable. Leave this field empty if the unstable state of the build should not depend on the total number of new skipped tests.
     * 
     */
    public static String unstableNewThreshold_skippedTests() {
        return holder.format("unstableNewThreshold.skippedTests");
    }

    /**
     * If the total number of skipped tests exceeds this threshold then a build is considered as unstable. Leave this field empty if the unstable state of the build should not depend on the total number of new skipped tests.
     * 
     */
    public static Localizable _unstableNewThreshold_skippedTests() {
        return new Localizable(holder, "unstableNewThreshold.skippedTests");
    }

    /**
     * If the total number of skipped tests exceeds this threshold then a build is considered as failed. Leave this field empty if the unstable state of the build should not depend on the total number of new skipped tests.
     * 
     */
    public static String failureNewThreshold_skippedTests() {
        return holder.format("failureNewThreshold.skippedTests");
    }

    /**
     * If the total number of skipped tests exceeds this threshold then a build is considered as failed. Leave this field empty if the unstable state of the build should not depend on the total number of new skipped tests.
     * 
     */
    public static Localizable _failureNewThreshold_skippedTests() {
        return new Localizable(holder, "failureNewThreshold.skippedTests");
    }

    /**
     * Configure the build status. A build is considered as unstable or failure if the new or total number of failed tests exceeds the specified thresholds. 
     * 
     */
    public static String thresholdHelpMessage_failedTests() {
        return holder.format("thresholdHelpMessage.failedTests");
    }

    /**
     * Configure the build status. A build is considered as unstable or failure if the new or total number of failed tests exceeds the specified thresholds. 
     * 
     */
    public static Localizable _thresholdHelpMessage_failedTests() {
        return new Localizable(holder, "thresholdHelpMessage.failedTests");
    }

    /**
     * Skipped Tests
     * 
     */
    public static String displayName_skippedTests() {
        return holder.format("displayName.skippedTests");
    }

    /**
     * Skipped Tests
     * 
     */
    public static Localizable _displayName_skippedTests() {
        return new Localizable(holder, "displayName.skippedTests");
    }

    /**
     * If the total number of skipped exceeds this threshold then a build is considered as failed. Leave this field empty if the unstable state of the build should not depend on the total number of skipped tests.
     * 
     */
    public static String failureThreshold_skippedTests() {
        return holder.format("failureThreshold.skippedTests");
    }

    /**
     * If the total number of skipped exceeds this threshold then a build is considered as failed. Leave this field empty if the unstable state of the build should not depend on the total number of skipped tests.
     * 
     */
    public static Localizable _failureThreshold_skippedTests() {
        return new Localizable(holder, "failureThreshold.skippedTests");
    }

    /**
     * If the total number of failed tests exceeds this threshold then a build is considered as unstable. Leave this field empty if the unstable state of the build should not depend on the total number of new failed tests.
     * 
     */
    public static String unstableNewThreshold_failedTests() {
        return holder.format("unstableNewThreshold.failedTests");
    }

    /**
     * If the total number of failed tests exceeds this threshold then a build is considered as unstable. Leave this field empty if the unstable state of the build should not depend on the total number of new failed tests.
     * 
     */
    public static Localizable _unstableNewThreshold_failedTests() {
        return new Localizable(holder, "unstableNewThreshold.failedTests");
    }

    /**
     * If the total number of failed tests exceeds this threshold then a build is considered as unstable. Leave this field empty if the unstable state of the build should not depend on the total number of failed tests.
     * 
     */
    public static String unstableThreshold_failedTests() {
        return holder.format("unstableThreshold.failedTests");
    }

    /**
     * If the total number of failed tests exceeds this threshold then a build is considered as unstable. Leave this field empty if the unstable state of the build should not depend on the total number of failed tests.
     * 
     */
    public static Localizable _unstableThreshold_failedTests() {
        return new Localizable(holder, "unstableThreshold.failedTests");
    }

    /**
     * Configure the build status. A build is considered as unstable or failure if the new or total number of skipped tests exceeds the specified thresholds. 
     * 
     */
    public static String thresholdHelpMessage_skippedTests() {
        return holder.format("thresholdHelpMessage.skippedTests");
    }

    /**
     * Configure the build status. A build is considered as unstable or failure if the new or total number of skipped tests exceeds the specified thresholds. 
     * 
     */
    public static Localizable _thresholdHelpMessage_skippedTests() {
        return new Localizable(holder, "thresholdHelpMessage.skippedTests");
    }

    /**
     * Failed Tests
     * 
     */
    public static String displayName_failedTests() {
        return holder.format("displayName.failedTests");
    }

    /**
     * Failed Tests
     * 
     */
    public static Localizable _displayName_failedTests() {
        return new Localizable(holder, "displayName.failedTests");
    }

    /**
     * If the total number of skipped tests exceeds this threshold then a build is considered as unstable. Leave this field empty if the unstable state of the build should not depend on the total number of skipped tests.
     * 
     */
    public static String unstableThreshold_skippedTests() {
        return holder.format("unstableThreshold.skippedTests");
    }

    /**
     * If the total number of skipped tests exceeds this threshold then a build is considered as unstable. Leave this field empty if the unstable state of the build should not depend on the total number of skipped tests.
     * 
     */
    public static Localizable _unstableThreshold_skippedTests() {
        return new Localizable(holder, "unstableThreshold.skippedTests");
    }

    /**
     * If the total number of failed tests exceeds this threshold then a build is considered as failed. Leave this field empty if the unstable state of the build should not depend on the total number of new failed tests.
     * 
     */
    public static String failureNewThreshold_failedTests() {
        return holder.format("failureNewThreshold.failedTests");
    }

    /**
     * If the total number of failed tests exceeds this threshold then a build is considered as failed. Leave this field empty if the unstable state of the build should not depend on the total number of new failed tests.
     * 
     */
    public static Localizable _failureNewThreshold_failedTests() {
        return new Localizable(holder, "failureNewThreshold.failedTests");
    }

    /**
     * If the total number of failed exceeds this threshold then a build is considered as failed. Leave this field empty if the unstable state of the build should not depend on the total number of failed tests.
     * 
     */
    public static String failureThreshold_failedTests() {
        return holder.format("failureThreshold.failedTests");
    }

    /**
     * If the total number of failed exceeds this threshold then a build is considered as failed. Leave this field empty if the unstable state of the build should not depend on the total number of failed tests.
     * 
     */
    public static Localizable _failureThreshold_failedTests() {
        return new Localizable(holder, "failureThreshold.failedTests");
    }

}
